[gnome-battery-bench] Stop using gnome-autogen.sh



commit 86179ebe9a65483138bd50396d478fa7949d94b6
Author: Owen W. Taylor <otaylor fishsoup net>
Date:   Wed Jun 24 13:05:05 2015 -0400

    Stop using gnome-autogen.sh
    
    gnome-autogen.sh is being removed along with the rest of gnome-common.
    Instead use boilerplate from https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh |   44 +++++++++++++++++++++++++++-----------------
 1 files changed, 27 insertions(+), 17 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index ad2c9a4..dbefa38 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,25 +1,35 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME="gnome-battery-bench"
-
-test -f $srcdir/configure.ac || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level gnome-battery-bench directory"
-    exit 1
+(test -f $srcdir/configure.ac) || {
+        echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+        exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME Git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
-}
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+        echo "If you wish to pass any to it, please specify them on the" >&2
+        echo \`$0\'" command line." >&2
+        echo "" >&2
+fi
+
+set -x
+aclocal --install || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+set +x
+
+if [ "$NOCONFIGURE" = "" ]; then
+        set -x
+        $srcdir/configure "$@" || exit 1
+        set +x
 
-(cd "$srcdir" ;
-test -d m4 || mkdir m4/ ;
-git submodule update --init --recursive ;
-)
-. gnome-autogen.sh
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]